Subject: bug#342 closed by Mark Hindley <[email-masked]> (Re: bug#342: [devuan-dev] bug#342: rkhunter default config false warning re: systemd)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Wed, 11 Jan 2023 12:38:04 +0000

This is an automatic notification regarding your bug report
which was filed against the rkhunter package:

#342: rkhunter default config false warning re: systemd

It has been closed by Mark Hindley <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mark Hindley <[email-masked]> by
replying to this email.

-- 
342: https://bugs.devuan.org/cgi/bugreport.cgi?bug=342
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#342: [devuan-dev] bug#342: rkhunter default config false warning re: systemd
From: Mark Hindley <[email-masked]>
To: [email-masked], [email-masked]
Date: Wed, 11 Jan 2023 12:36:07 +0000

On Mon, Feb 03, 2020 at 01:04:46PM +0100, Svante Signell wrote:
> On Mon, 2020-02-03 at 11:22 +0000, Mark Hindley wrote:
> > Control: tags -1 debian
> > 
> > Jon,
> > 
> > Sorry for the slow reply.
> > 
> > rkhunter is not a forked package and we use the Debian pacakge
> > directly. 
> > Therefore we have no way of fixing this in Devuan.
> > 
> > I suggest you look at similar bugs on Debian's BTS (#926936 looks 
> > promising) and add your voice there.
> > 
> 
> This problem is already solved with eudev 3.2.9-1, by renaming
> /run/udev.pid to /run/udevd.pid.

Closing as fixed. Thanks

Mark

Subject: rkhunter default config false warning re: systemd
From: "Jon C. LeBlanc" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 15 Jul 2019 19:26:48 +0000

Package: Rootkit Hunter 1.4.6
Devuan version: Beowulf
uname -a output: Linux coho 4.19.0-5-amd64 #1 SMP Debian 4.19.37-5 (2019-06-19) x86_64 GNU/Linux

The rkhunter package's default /etc/rkhunter.conf configuration generates a warning when it cannot find systemd, so could you please add the following to the default /etc/rkhunter.conf file:

RTKT_FILE_WHITELIST=/var/run/udev.pid

After adding that line the warning is eliminated, but there is a second config entry that does not pass the 'rkhunter -C' configuration file self-check:

DISABLE_UNHIDE=1

When I commented that line the warning went away. I have not debugged that warning so I don't know what it is about.

Thanks!